SDL_GetGamepadPlayerIndexForID(3)

NAME
SDL_GetGamepadPlayerIndexForID - Get the player index of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetGamepadPlayerIndexForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the player index of a gamepad, or -1 if it's not available.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadPlayerIndex(3), •(3), SDL_GetGamepads(3)